LINUX.ORG.RU

Segmentation fault при кодировании Xvid


0

0

Здравствуйте.
Не удается перекодировать DVD в xvid :(
Кодирую с помощью transcode-1.0.1, но получаю subj.
Похоже проблема в самих кодеках xvid, т.к. аналогичную ошибку получаю если запускаю:
.../examples/xvid_bench
из исходников xvidcore-1.1.0-beta2.
Искал в инете решение проблеммы, нашел много таких вопросов, но конкретного ответа как ее решить не нашел.
Может кто сталкивался с подобным? Подскажите как можно решить проблему.
Заранее благодарен.

ASP7.2, gcc-2.96/3.0.1


Re: Segmentation fault при кодировании Xvid

добавляешь в CFLAGS "-g", делаешь strace "твоя команда" и отсылаешь разработчикам

fghj ★★★★★ ()

Re: Segmentation fault при кодировании Xvid

>ASP7.2, gcc-2.96/3.0.1

Из-за этого. Сделай апгрейд до SUSE 10.0, GCC 4.0.2. :)

suser ()
Ответ на: Re: Segmentation fault при кодировании Xvid от suser

Re: Segmentation fault при кодировании Xvid

Только из-за этого (xvid) делать апгрейд необязательно.
А вот gcc (до)поставить поновее совсем не помешает. Хотя бы 3.2.2 в /usr/local.

archont ★★★ ()
Ответ на: Re: Segmentation fault при кодировании Xvid от suser

Re: Segmentation fault при кодировании Xvid

glibc влияет существенно менее, нежели gcc.
Я юзаю ASP-7.3 на ядре 2-4.20-30.7asp.
gcc-2.96 и 3.0.3 - системные и gcc-3.2.2 в /usr/local.
glibc-2.2.5-44asp - основная системная
glibc-2.3.2-27.9.1asp - в /usr/local, использую исключительно для запуска OO-2.
MPlayer-1.0pre7 и xvidcore-1.1.0-beta2 откомпилированы gcc-3.2.2, работают без нареканий и падений.

archont ★★★ ()

Re: Segmentation fault при кодировании Xvid

Я тоже считаю, что проблемма в компиляторе.
Попробую поставить gcc поновее, хотя бы в /usr/local
т.к. ранее не удалось собрать пакет с gcc 3.2.2, он потянул еще кучу зависимостей, чтобы их все развязать проще сделать апгрейд.

chief ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.